summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2022-04-28 10:12:00 +0200
committerAndreas Baumann <mail@andreasbaumann.cc>2022-04-28 10:12:00 +0200
commite7df9a4f5aa42a5a59fe715365532cc9323c77e9 (patch)
tree68d2c16e8cef2b2d388377e97cd0ca2f0251aa22
parentcbf3422b7547eaddda46e49b3595bbb14347f57d (diff)
downloadbuilder-e7df9a4f5aa42a5a59fe715365532cc9323c77e9.tar.xz
check-mirrors: simplified broken archiso detection
-rwxr-xr-xbin/check-mirrors18
1 files changed, 10 insertions, 8 deletions
diff --git a/bin/check-mirrors b/bin/check-mirrors
index d106201..aec33a0 100755
--- a/bin/check-mirrors
+++ b/bin/check-mirrors
@@ -143,14 +143,16 @@ elif [ $# -eq 1 ]; then
cnt=$(
curl -s "${ip_flag}" "${url}archisos/"
) || has_isos=0
- for suffix in 'i686' 'dual'; do
- # shellcheck disable=SC2059
- if ! printf '%s\n' "${cnt}" | \
- grep -qF "$(printf "$(date '+archlinux-%Y.%m.%%02d-'"${suffix}"'.iso\n')" $(seq 31))" -; then
- has_isos=0
- break
- fi
- done
+# doesn't really work: dual doesn't exist anymore and the other test sometimes fails, sometimes succeeds?
+# let's assume the precense of the 'archisos' directory is enough
+# for suffix in 'i686' 'dual'; do
+# # shellcheck disable=SC2059
+# if ! printf '%s\n' "${cnt}" | \
+# grep -qF "$(printf "$(date '+archlinux-%Y.%m.%%02d-'"${suffix}"'.iso\n')" $(seq 31))" -; then
+# has_isos=0
+# break
+# fi
+# done
else
has_isos=0
last_sync='0'